%define gjdoc   %{_bindir}/gjdoc
%define javaver 1.4.2

Name:           classpath
Version:        0.17
Release:        1.1mdk
Epoch:          0
Summary:        GNU Classpath, Essential Libraries for Java

Group:          Development/Java
#Vendor:         JPackage Project
#Distribution:   JPackage
License:        GPL-like
URL:            http://www.classpath.org/
Source0:        ftp://ftp.gnu.org/gnu/classpath/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

# noarch as long as we build API docs only
BuildArch:      noarch
BuildRequires:  %{__cc}
BuildRequires:  %{__make}
# Need to use gjdoc because of the -licensetext option
BuildRequires:  %{gjdoc}

%description
GNU Classpath, Essential Libraries for Java, is a GNU project to
create free core class libraries for use with virtual machines and
compilers for the java programming language.

%package        javadoc
Summary:        API documentation for GNU Classpath
Group:          Development/Java
# Note: no epoch macro here, keep in sync with java-*-sun-manual.
Provides:       java-javadoc = 0:%{javaver}
Provides:       java-%{javaver}-javadoc = 0:%{javaver}

%description    javadoc
%{summary}.


%prep
%setup -q


%build
# Notes:
# * Not using the %%configure macro while we're building noarch; that will
#   result in --target being passed to ./configure that it doesn't like.
# * --with-kjc=/bin/true: a cheap way to appease ./configure, we won't be
#   using it for anything anyway.
# * You want a box with >= 256MB RAM to try this at home...
./configure --prefix=%{_prefix} --libdir=%{_libdir} --with-gjdoc=%{gjdoc} --disable-jni --with-kjc=/bin/true
%make -C doc/api html


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}
cp -pR doc/api/html $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
touch $RPM_BUILD_ROOT%{_javadocdir}/{%{name},java}


%check || :
# Verify that gjdoc wrote a non-empty package-list; there have been broken
# versions around.
if [ ! -s $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/package-list ]
then
    echo "Error: %{gjdoc} wrote a bogus package-list file!"
    exit 1
fi


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -rf %{_javadocdir}/java
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/java


%files javadoc
%defattr(0644,root,root,0755)
%doc COPYING
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}
%ghost %doc %{_javadocdir}/java


%changelog
* Wed Aug 17 2005 David Walluck <walluck@mandriva.org> 0:0.17-1.1mdk
- release

* Tue Aug  2 2005 Ville Skyttä <scop at jpackage.org> - 0:0.17-1jpp
- 0.17.

* Wed Jun 29 2005 Ville Skyttä <scop at jpackage.org> - 0:0.15-1jpp
- First build (javadocs only).
